const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myWallet = {
FundsType: 'FEES',
Currency: 'EUR',
}
const listTransactionsClientWallet = async (fundsType, currency) => {
return await mangopay.Clients.getClientWalletTransactions(fundsType, currency)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
listTransactionsClientWallet(myWallet.FundsType, myWallet.Currency)
[
{
"Id": "po_m_01HY343CF0KFEPKFJ0QZ4HZ2VK",
"Tag": "Custom data",
"CreationDate": 1715944403,
"AuthorId": "ExampleClientId",
"CreditedUserId": null,
"DebitedFunds": {
"Currency": "EUR",
"Amount": 7836
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 7836
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1715944624,
"Type": "PAYOUT",
"Nature": "REGULAR",
"CreditedWalletId": null,
"DebitedWalletId": "FEES_EUR",
"DepositId": null
},
{
"Id": "cvr_01J2BS3XE0JE9F05MM5B6VCT15",
"Tag": "Custom data",
"CreationDate": 1720529843,
"AuthorId": "ExampleClientId",
"CreditedUserId": "ExampleClientId",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 2617
},
"CreditedFunds": {
"Currency": "USD",
"Amount": 2830
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1720529845,
"Type": "CONVERSION",
"Nature": "REGULAR",
"CreditedWalletId": "FEES_USD",
"DebitedWalletId": "FEES_EUR",
"DepositId": null
}
]
Transactions
List Transactions for a Client Wallet
GET
/
v2.01
/
{ClientId}
/
clients
/
wallets
/
{FundsType}
/
{Currency}
/
transactions
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myWallet = {
FundsType: 'FEES',
Currency: 'EUR',
}
const listTransactionsClientWallet = async (fundsType, currency) => {
return await mangopay.Clients.getClientWalletTransactions(fundsType, currency)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
listTransactionsClientWallet(myWallet.FundsType, myWallet.Currency)
[
{
"Id": "po_m_01HY343CF0KFEPKFJ0QZ4HZ2VK",
"Tag": "Custom data",
"CreationDate": 1715944403,
"AuthorId": "ExampleClientId",
"CreditedUserId": null,
"DebitedFunds": {
"Currency": "EUR",
"Amount": 7836
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 7836
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1715944624,
"Type": "PAYOUT",
"Nature": "REGULAR",
"CreditedWalletId": null,
"DebitedWalletId": "FEES_EUR",
"DepositId": null
},
{
"Id": "cvr_01J2BS3XE0JE9F05MM5B6VCT15",
"Tag": "Custom data",
"CreationDate": 1720529843,
"AuthorId": "ExampleClientId",
"CreditedUserId": "ExampleClientId",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 2617
},
"CreditedFunds": {
"Currency": "USD",
"Amount": 2830
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1720529845,
"Type": "CONVERSION",
"Nature": "REGULAR",
"CreditedWalletId": "FEES_USD",
"DebitedWalletId": "FEES_EUR",
"DepositId": null
}
]
This call returns all the transactions targeting or emitted from a Client Wallet, for example:Documentation Index
Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
Use this file to discover all available pages before exploring further.
- Fees payouts made from the Fees Wallet (
FEES_CCY) - Repudiations and settlements made from or to the Repudiation Wallet (
CREDIT_CCY) - Conversions between Client Wallets
Path parameters
Allowed values:
FEES, CREDITThe type of funds in the Client Wallet:FEES– Fees Wallet, for fees collected by the platform, specific to the Client Wallet object.CREDIT– Repudiation Wallet, for funds for the platform’s dispute management, specific to the Client Wallet object.
Allowed values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the wallet.
Responses
200
200
The list of transactions created by the platform.
Show properties
Show properties
The transaction created by the platform.
Show properties
Show properties
Max length: 128 characters (see data formats for details)The unique identifier of the object.
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
The date and time at which the object was created.
The unique identifier of the user at the source of the transaction.
Default value: The unique identifier of the owner of the credited wallet.The unique identifier of the user whose wallet is credited.
Information about the debited funds.
Show properties
Show properties
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the debited funds (the sell currency).
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).During a conversion, (DebitedFunds.Amount - Fees) * MarketRate = CreditedFunds.Amount. Information about the credited funds (
CreditedFunds = DebitedFunds - Fees).Show properties
Show properties
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the credited funds.
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).Information about the fees taken by the platform for this transaction (and hence transferred to the Fees Wallet).
Show properties
Show properties
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the fees.
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).Returned values:
CREATED, SUCCEEDED, FAILEDThe status of the transaction.The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
The explanation of the result code.
The date and time at which the status changed to
SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.The type of transaction.
Returned values:
REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred:REGULAR– Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.REPUDIATION– Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).REFUND– Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).SETTLEMENT– Transfer made to the repudiation wallet by the platform to settle a lost dispute.
The unique identifier of the credited wallet.
The unique identifier of the debited wallet.
[
{
"Id": "po_m_01HY343CF0KFEPKFJ0QZ4HZ2VK",
"Tag": "Custom data",
"CreationDate": 1715944403,
"AuthorId": "ExampleClientId",
"CreditedUserId": null,
"DebitedFunds": {
"Currency": "EUR",
"Amount": 7836
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 7836
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1715944624,
"Type": "PAYOUT",
"Nature": "REGULAR",
"CreditedWalletId": null,
"DebitedWalletId": "FEES_EUR",
"DepositId": null
},
{
"Id": "cvr_01J2BS3XE0JE9F05MM5B6VCT15",
"Tag": "Custom data",
"CreationDate": 1720529843,
"AuthorId": "ExampleClientId",
"CreditedUserId": "ExampleClientId",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 2617
},
"CreditedFunds": {
"Currency": "USD",
"Amount": 2830
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1720529845,
"Type": "CONVERSION",
"Nature": "REGULAR",
"CreditedWalletId": "FEES_USD",
"DebitedWalletId": "FEES_EUR",
"DepositId": null
}
]
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myWallet = {
FundsType: 'FEES',
Currency: 'EUR',
}
const listTransactionsClientWallet = async (fundsType, currency) => {
return await mangopay.Clients.getClientWalletTransactions(fundsType, currency)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
listTransactionsClientWallet(myWallet.FundsType, myWallet.Currency)
Was this page helpful?
⌘I